/*****************************************************************************
** igluBuiltInTextures.h                                                    **
** ---------------------                                                    **
**                                                                          **
** A header that defines data structures used to store built-in textures.   **
**    These are textures that are built into the IGLU library, and hence    **
**    compiled into the executables.  These should be very small to avoid   **
**    blowing up the size of the executables!                               **
**                                                                          **
** Chris Wyman (2/23/2012)                                                  **
*****************************************************************************/

#ifndef IGLU__BUILT_IN_TEXTURES_H
#define IGLU__BUILT_IN_TEXTURES_H

namespace iglu {

struct IGLUBuiltInTexture 
{
  unsigned int 	 m_width;
  unsigned int 	 m_height;
  unsigned int 	 m_bytesPerPixel; /* 3:RGB, 4:RGBA */ 
  unsigned char	 *m_pixelData;
};

} // end namespace iglu.


#endif